STRINGS(1)

NOME
strings - stampa le stringhe dei caratteri stampabili nei file.

SINTASSI
strings [-afovV] [-min-len]
        [-n min-len] [--bytes=min-len]
        [-t radix] [--radix=radix]
        [-e encoding] [--encoding=encoding]
        [-] [--all] [--print-file-name]
        [-T bfdname] [--target=bfdname]
        [-w] [--include-all-whitespace]
        [-s] [--output-separatorsep_string]
        [--help] [--version] file...

DESCRIZIONE
Per ciascun file dato, GNU strings stampa la sequenza di caratteri stampabili lunga almeno 4 caratteri (o il numero dato con le opzioni sottostanti) ed è seguita da un carattere non stampabile.

Depending upon how the strings program was configured it will default to either displaying all the printable sequences that it can find in each file, or only those sequences that are in loadable, initialized data sections. If the file type is unrecognizable, or if strings is reading from stdin then it will always display all of the printable sequences that it can find.

For backwards compatibility any file that occurs after a command-line option of just - will also be scanned in full, regardless of the presence of any -d option.

strings is mainly useful for determining the contents of non-text files.

OPZIONI

-a
--all
-   Scan the whole file, regardless of what sections it contains or whether those sections are loaded or initialized. Normally this is the default behaviour, but strings can be configured so that the -d is the default instead.

    The - option is position dependent and forces strings to perform full scans of any file that is mentioned after the - on the command line, even if the -d option has been specified.

-d
--data
    Only print strings from initialized, loaded data sections in the file. This may reduce the amount of garbage in the output, but it also exposes the strings program to any security flaws that may be present in the BFD library used to scan and load sections. Strings can be configured so that this option is the default behaviour. In such cases the -a option can be used to avoid using the BFD library and instead just print all of the strings found in the file.

-f
--print-file-name
    Stampa il nome del file prima di ciascuna stringa.

--help
    Stampa un riassunto dell'uso del programma sullo standard output ed esce.

-min-len
-n min-len
--bytes=min-len
    Stampa sequenze di caratteri che siano lunghe almeno min-len caratteri, invece dei 4 predefiniti.

-o  Come -t o. Alcune altre versioni di strings hanno -o che agisce invece come -t d. Poiché non si può essere compatibili con entrambe le modalità, se ne scelga solamente una.

-t radix
--radix=radix
    Stampa l'offset all'interno del file prima di ciascuna stringa. L'argomento di un solo carattere specifica la base dell'offset---o per ottale, x per esadecimale, o d per decimale.

-e encoding
--encoding=encoding
    Seleziona la codifica dei caratteri delle stringhe da trovare. I valori possibili per encoding sono: s = caratteri di un solo byte di 7-bit (ASCII, ISO 8859, ecc., default), S = caratteri di un solo byte di 8-bit, b = 16-bit bigendian, l = 16-bit littleendian, B = 32-bit bigendian, L = 32-bit littleendian. Utile per trovare grandi stringhe di caratteri. (l e b si applicano, per esempio, alle codifiche Unicode UTF-16/UCS-2).

-T bfdname
--target=bfdname
    Specifica un formato di codice oggetto diverso dal formato predefinito del sistema in uso.

-v
-V
--version
    Stampa il numero di versione del programma sullo standard output ed esce.

-w
--include-all-whitespace
    By default tab and space characters are included in the strings that are displayed, but other whitespace characters, such a newlines and carriage returns, are not. The -w option changes this so that all whitespace characters are considered to be part of a string.

-s
--output-separator
    By default, output strings are delimited by a new-line. This option allows you to supply any string to be used as the output record separator. Useful with --include-all-whitespace where strings may contain new-lines internally.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2021 Free Software Foundation, Inc.

È permesso copiare, distribuire e/o modificare questo documento nei termini della “Licenza per documentazione libera GNU” (GNU Free Documentation License), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata “Licenza per la documentazione libera GNU" ("GNU Free Documentation License").

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it> e Marco Curreli <marcocurreli@tiscali.it> Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità. Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.